using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace island
{
    public class TGrass
    {
        public long Count;
        double kGrow;

        String mes;

        public TGrass(int c,double kGrow)
        {
            Count = c;
            this.kGrow = kGrow;
        }

        public void Grow()
        {
            try
            {
                Count += Convert.ToInt16(Count * kGrow);
            }
            catch (Exception e)
            {
                mes = e.Message;
                Count = Int16.MaxValue;
            }
        }

        public override String ToString()
        {
            String ans = String.Format("Grass count:  {0} +  Grass grow:  {1:}",Count,kGrow);
            //return "Grass count: " + Count.ToString() + " Grass grow: " + kGrow.ToString();
            return ans;
        }
    }
}
